<?php
namespace Concrete\Package\SbHitCounter\Block\SbHitCounter;
use Concrete\Core\Page\Page;
use Concrete\Core\Block\BlockController;
use Concrete\Core\Permission\Checker as Permissions;

class Controller extends BlockController {

    protected $btTable = 'btSbHitCounter';
    protected $btInterfaceWidth = 500;
    protected $btInterfaceHeight = 300;
    protected $btCacheBlockRecord = false;
    protected $btDefaultSet = 'basic';

    public function getBlockTypeDescription() {
        return t("Adds a visitor/page view counter");
    }

    public function getBlockTypeName() {
        return t("Hit Counter");
    }

    public function on_start() {
        if (!$this->text) {
            $this->requireAsset('css', 'font-awesome');
        }
        $page = Page::getCurrentPage();
        $sb_hit_counter = $page->getAttribute('sb_hit_counter');
        $this->set('sb_hit_counter', $sb_hit_counter);

        if (!$page->isEditMode()) {
            $cp = new Permissions($page);
            if (!$cp->canAdminPage()) {
                $page->setAttribute('sb_hit_counter', $sb_hit_counter + 1);
            }
        }
    }
}
